Bug 504828 - The amount of space that is needed for system updates is calculated incorrectly
The amount of space that is needed for system updates is calculated incorrectly
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
11
i386 Linux
low Severity high
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-09 12:58 EDT by Stan Salatov
Modified: 2014-01-21 18:09 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-20 11:43:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
before and after -- note space calculation (113.80 KB, image/png)
2009-06-09 12:58 EDT, Stan Salatov
no flags Details

  None (edit)
Description Stan Salatov 2009-06-09 12:58:09 EDT
Created attachment 347057 [details]
before and after -- note space calculation

Description of problem: The amount of space that is needed for system updates is calculated incorrectly.


Version-Release number of selected component (if applicable): 
gpk-update-viewer 2.27.2


How reproducible: occurs every time.


Steps to Reproduce:
1. Open "Software Updates"
2. Check the box to install a package
3. Uncheck the box.
  
Actual results:
The estimated space that's needed to install the packages always increases. Not only that, it also increases in megabytes, even though the package that's being selected is only 9k. (screenshot attached).

Expected results:
As you check or uncheck the selection boxes, the calculations must be performed correctly.

Additional info:
Comment 1 James Antill 2009-06-09 13:07:53 EDT
No idea, I assume gpk is doing something weird.
Comment 2 Richard Hughes 2009-06-09 15:14:25 EDT
Should be fixed here: https://admin.fedoraproject.org/updates/F11/FEDORA-2009-5748 -- please confirm.
Comment 3 Stan Salatov 2009-06-09 17:56:55 EDT
Yep, it works fine now!! Thanks.

Note You need to log in before you can comment on or make changes to this bug.